:PROPERTIES:
:ID: 29916da0-ba1b-43ce-8205-799f361a15fb
:END:
#+title: 2016-03-21

* Egypt Advocacy :@personal:
:PROPERTIES:
:CREATED: [2016-03-21 Mon 10:44]
:MODIFIED: [2016-03-29 Tue 14:20]
:IMPORTED: [2023-02-08 Wed 19:22]
:END:

Shami

AI

Joe Ryle - works for John McDonnell MP - can suggest who to speak to at Labour Shadow Foreign Office team

joeryle@riseup.net

Caroline Lucas - Green MP

caroline@carolinelucas.com
